/*------------------------------------------------------------------------------
 src/lib/djImage/imageIoSgi.cxx
 
 Copyright (c) 2004-2006 Darby Johnston.
 All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

//#define DJ_DBG
#include "djImageIoSgi.h"

namespace dj {
namespace ImageIoSgi {

Header::Header() :
  rleOffsets(0), rleSizes(0)
{}

Header::~Header()
{
  if (rleOffsets) delete [] rleOffsets;
  if (rleSizes) delete [] rleSizes;
}

void dbg(const Header & in)
{
  DJ_DBG_FNC("dj::ImageIoSgi::Header");
  DJ_DBG_PRN("storage = " << int(in.storage));
  DJ_DBG_PRN("bytes = " << int(in.bytes));
  DJ_DBG_PRN("dimension = " << int(in.dimension));
  DJ_DBG_PRN("size = " << int(in.width) << " " << int(in.height));
  DJ_DBG_PRN("channels = " << int(in.channels));
  DJ_DBG_PRN("pixel range = " << int(in.pixelMin) << " " << int(in.pixelMax));
}

}
}
